// Package models handles the database.
package models

import "gorm.io/gorm"

// DB to be set by calling app (SQLite or Postgres connection).
var DB *gorm.DB

// AutoMigrate the schema.
func AutoMigrate() {
	DB.AutoMigrate(&User{})
	DB.AutoMigrate(&ProfileField{})
	DB.AutoMigrate(&Photo{})
	DB.AutoMigrate(&PrivatePhoto{})
	DB.AutoMigrate(&CertificationPhoto{})
	DB.AutoMigrate(&Message{})
	DB.AutoMigrate(&Friend{})
	DB.AutoMigrate(&Block{})
	DB.AutoMigrate(&Feedback{})
	DB.AutoMigrate(&Forum{})
	DB.AutoMigrate(&Thread{})
	DB.AutoMigrate(&Comment{})
	DB.AutoMigrate(&Like{})
	DB.AutoMigrate(&Notification{})
	DB.AutoMigrate(&Subscription{})
	DB.AutoMigrate(&CommentPhoto{})
	DB.AutoMigrate(&Poll{})
	DB.AutoMigrate(&PollVote{})
	DB.AutoMigrate(&AdminGroup{})
	DB.AutoMigrate(&AdminScope{})
	DB.AutoMigrate(&UserLocation{})
	DB.AutoMigrate(&UserNote{})
	DB.AutoMigrate(&TwoFactor{})
}
